Summary:	Linux USB utilities
Name:		usbutils
Version:	013
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Kernel and hardware
URL:		https://sourceforge.net/projects/linux-usb/
Source0:	http://www.kernel.org/pub/linux/utils/usb/usbutils/%{name}-%{version}.tar.xz
Source1: GPL-2.0.txt
Source2: GPL-3.0.txt

BuildRequires:	pkgconfig(libusb)
BuildRequires:	pkgconfig(gtk+-3.0)
Requires:	ldetect-lst >= 0.1.282

%description
This package contains the lsusb utility for inspecting the devices 
connected to the USB bus. It shows a graphical representation of the 
devices that are currently plugged in, showing the topology of the 
USB bus. It also displays information on each individual device on 
the bus.

%prep
%autosetup -p1
install -m 0644 %{SOURCE1} .
install -m 0644 %{SOURCE2} .

%build
[[ -f configure ]] || ./autogen.sh
%configure \
	--disable-zlib
%make_build

%install
%make_install

rm -f %{buildroot}{%{_includedir}/libusb.h,%{_libdir}/libusb*}

# do not package usb.ids, handled by ldetect-lst now
rm -f %{buildroot}%{_datadir}/usb.ids

%files
%license GPL-2.0.txt GPL-3.0.txt
%doc NEWS
%{_bindir}/*
%{_mandir}/*/*


%changelog
* Thu Oct 29 2020 tv <tv> 013-1.mga8
+ Revision: 1640431
- Update to 013
+ danf <danf>
- Switch URLs from http: to https:

* Sat Feb 15 2020 umeabot <umeabot> 012-2.mga8
+ Revision: 1526288
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon May 13 2019 luigiwalser <luigiwalser> 012-1.mga7
+ Revision: 1397532
- 012
- remove upstream patches (and simplify spec, from fedora)

* Tue Nov 13 2018 tv <tv> 010-1.mga7
+ Revision: 1329747
- new release

* Sun Sep 23 2018 umeabot <umeabot> 009-2.mga7
+ Revision: 1301546
- Mageia 7 Mass Rebuild

* Sat Jan 06 2018 daviddavid <daviddavid> 009-1.mga7
+ Revision: 1190710
- new version: 009

* Tue Feb 09 2016 umeabot <umeabot> 008-2.mga6
+ Revision: 952413
- Mageia 6 Mass Rebuild

* Sat Feb 21 2015 ennael <ennael> 008-1.mga5
+ Revision: 816212
- new version: 008

* Wed Oct 15 2014 umeabot <umeabot> 007-5.mga5
+ Revision: 747664
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 007-4.mga5
+ Revision: 690093
- Mageia 5 Mass Rebuild

* Sat Jul 05 2014 pterjan <pterjan> 007-3.mga5
+ Revision: 643807
- Replace libusb*-devel BuildRequires by better ones

* Sat Oct 19 2013 umeabot <umeabot> 007-2.mga4
+ Revision: 528398
- Mageia 4 Mass Rebuild

* Wed Jun 19 2013 sander85 <sander85> 007-1.mga4
+ Revision: 444843
- New version: 007

* Mon Jan 14 2013 umeabot <umeabot> 006-3.mga3
+ Revision: 385165
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 pterjan <pterjan> 006-2.mga3
+ Revision: 344369
- Use upstream version, the package in cauldron was actually using it unlike svn
- Switch again to .xz
- Fix upstream version
+ tv <tv>
- BR gtk+3-devel
- new release
- do not package obsolete ChangeLog

* Fri Jul 13 2012 tv <tv> 006-1.mga3
+ Revision: 270603
- switch to xz sources
- new release

* Wed Dec 14 2011 tv <tv> 005-1.mga2
+ Revision: 181637
- new release
- new release
- new upstream
- new release

* Tue Jan 11 2011 pterjan <pterjan> 0.91-1.mga1
+ Revision: 6421
- Drop old confilct
- imported package usbutils

